Bug 156829 - libgnomeui backtrace after upgrade
libgnomeui backtrace after upgrade
Product: Fedora
Classification: Fedora
Component: libgnomeui (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2005-05-04 11:35 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-06 05:21:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
backtrace (19.36 KB, text/plain)
2005-05-04 11:36 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2005-05-04 11:35:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Epiphany/1.6.1

Description of problem:
I ran an yum upgrade today, and on queue, epiphany crashed.
I tried to get a backtrace with bugbuddy, but the gedit window containing the paste dispappeared. Perhaps accidentally closed, perhaps crashed too.

Normally, if epiphany crashes during a yum upgrade, evolution does too. There was a longer gap between the two this time, so not certain the upgrade caused it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Need Real Name 2005-05-04 11:36:16 EDT
Created attachment 114020 [details]

bugbuddy backtrace from evolution's crash
Comment 2 Need Real Name 2005-05-05 12:24:12 EDT
epiphany and gedit both crashed after an upgrade:
Backtrace was generated from '/usr/bin/epiphany'

Using host libthread_db library "/lib/libthread_db.so.1".
0x00cc5402 in ?? ()
#0  0x00cc5402 in ?? ()
#1  0x00caffdb in ?? ()
#2  0x0578c214 in ?? () from /usr/lib/libgnomeui-2.so.0
#3  0x00000000 in ?? ()

gedit (I don't have gedit-debuginfo installed):
0x00c80402 in ?? ()
#0  0x00c80402 in ?? ()
#1  0x00caffb3 in ?? ()
#2  0x0578c214 in ?? () from /usr/lib/libgnomeui-2.so.0
#3  0x0574f080 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#4  <signal handler called>
#5  0x00c80402 in ?? ()
#6  0x00a7c12c in ?? ()
#7  0x00b77ff4 in ?? ()
#8  0x00000000 in ?? ()
Comment 3 Dave Malcolm 2005-05-12 16:23:02 EDT
Thanks for the report.  From the evolution backtrace it looks like an assertion
failed in thread 1 inside gtk_container_propagate_expose ; it probably printed
something as it died (which you won't have seen unless you launched Evolution
from a terminal).

More that that I can't say without the debuginfo package (for more information
see http://fedoraproject.org/wiki/StackTraces)

I'm not sure how stable we're expecting the UI to be whilst various components
of itself are being upgraded.  Reassigning to owner of libgnomeui, though
without more information on reproducing the bug it's going to be difficult to
fix.  Which versions of evolution, of gtk2, libgnomeui etc, both before and
after the update?

Comment 4 Need Real Name 2005-05-12 16:47:40 EDT
It's happened during probably half of the yum upgrades I've done.
Before an upgrade, I always make sure I have evolution and epiphany open. They
always crash at some point after an upgrade.

Previous upgrades have always been stable during an upgrade. Not being stable
would make the system unusable. I'd have to restart X or go into text mode to
run an upgrade.

Which of the debuginfo packages should I install? There are lots :)
Comment 5 Need Real Name 2005-07-06 05:21:48 EDT
Closing. No activity for two months.

Note You need to log in before you can comment on or make changes to this bug.